import React from "react";
type GetMessages = (path?: string) => Record<string, unknown>;
declare const Context: React.Context<{
    lang: string;
    getMessages: GetMessages;
    locales?: Locales | undefined;
}>;
export interface Locales {
    date?: number;
    lang?: string;
    hashKey?: string | number;
    data?: Record<string, unknown>;
}
export interface LocalesProviderProps {
    children: any;
    loadingElm?: any;
    hashKey?: string | number;
    baseUrl?: string;
}
export declare function LocalesProvider({ children, loadingElm, hashKey, baseUrl, }: LocalesProviderProps): any;
export { Context as LocalesContext };
